Bug 215144 - no hw_random after kernel update
no hw_random after kernel update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 08:54 EST by Vassilios Kotoulas
Modified: 2008-05-06 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (6.30 KB, application/x-gzip)
2006-11-12 08:24 EST, Vassilios Kotoulas
no flags Details
intel-rng debug patch (489 bytes, text/x-patch)
2006-11-21 19:50 EST, Chris Wright
no flags Details
intel rng bypass fwh detection (2.72 KB, patch)
2006-12-08 21:08 EST, Chris Wright
no flags Details | Diff

  None (edit)
Description Vassilios Kotoulas 2006-11-11 08:54:49 EST
Description of problem:

after updating from kernel-2.6.18-1.2200.fc5 to kernel-2.6.18-1.2239.fc5
rngd does not work:
[root@kra:~] service rngd start
Starting rngd: can't open /dev/hw_random: No such file or directory
                                                           [FAILED]


Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2239.fc5
udev-084-13.fc5.2
rng-utils-2.0-1.11

How reproducible:
allways

Steps to Reproduce:
1. reboot or service rngd start
  
Actual results:
Starting rngd: can't open /dev/hw_random: No such file or directory

Expected results:
working rngd

Additional info:
Comment 1 Vassilios Kotoulas 2006-11-11 18:52:48 EST
seems to be a driver problem:

[root@kra:~] modprobe intel-rng
FATAL: Error inserting intel_rng
(/lib/modules/2.6.18-1.2239.fc5/kernel/drivers/char/hw_random/intel-rng.ko): No
such device
Comment 2 Dave Jones 2006-11-12 02:21:52 EST
please attach the output of lspci -n, and dmesg.
Comment 3 Vassilios Kotoulas 2006-11-12 08:24:22 EST
Created attachment 140988 [details]
dmesg output
Comment 4 Vassilios Kotoulas 2006-11-12 08:25:09 EST
[root@kra:~] lspci -n
00:00.0 0600: 8086:1a30 (rev 11)
00:01.0 0604: 8086:1a31 (rev 11)
00:1d.0 0c03: 8086:24c2 (rev 01)
00:1d.1 0c03: 8086:24c4 (rev 01)
00:1d.2 0c03: 8086:24c7 (rev 01)
00:1d.7 0c03: 8086:24cd (rev 01)
00:1e.0 0604: 8086:244e (rev 81)
00:1f.0 0601: 8086:24c0 (rev 01)
00:1f.1 0101: 8086:24cb (rev 01)
00:1f.3 0c05: 8086:24c3 (rev 01)
00:1f.5 0401: 8086:24c5 (rev 01)
01:00.0 0300: 10de:00f2 (rev a2)
02:02.0 0200: 10ec:8139 (rev 10)
Comment 5 Vassilios Kotoulas 2006-11-21 06:03:35 EST
in http://www.ussg.iu.edu/hypermail/linux/kernel/0611.2/1531.html 
is doubted if my rngd worked with the kernel before, so I booted  2.6.18-1.2200.fc5
an entered the command:
hexdump -v /dev/hw_random

here is the beginning of the output:

0000000 a7ff 1dff b312 0be0 64c9 8f83 9082 7d94
0000010 ac03 c513 ac1b b502 b93e 8f34 1a05 d417
0000020 b9cc c5d5 345f e6f6 d84b 333c c156 9007
0000030 0539 b145 7fdc 071b ea10 9145 c395 5536
0000040 7942 f8a2 f07d a5ea 2c76 a934 742c 1288
0000050 925a f710 67e6 8f68 ece2 bb23 536d bebe
0000060 1ad3 ab94 ab7b 54c9 8ce3 adaa 7f79 edd7
0000070 4c5b 0a28 66ee bc8d 90ae 0515 353e dcf5

rngtest produces the following output:

[root@kra:~] rngtest -t1 </dev/hw_random 
rngtest 2
Copyright (c) 2004 by Henrique de Moraes Holschuh
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

rngtest: starting FIPS tests...
rngtest: bits received from input: 60032
rngtest: FIPS 140-2 successes: 3
rngtest: FIPS 140-2 failures: 0
rngtest: FIPS 140-2(2001-10-10) Monobit: 0
rngtest: FIPS 140-2(2001-10-10) Poker: 0
rngtest: FIPS 140-2(2001-10-10) Runs: 0
rngtest: FIPS 140-2(2001-10-10) Long run: 0
rngtest: FIPS 140-2(2001-10-10) Continuous run: 0
rngtest: input channel speed: (min=44.617; avg=48.397; max=51.079)Kibits/s
rngtest: FIPS tests speed: (min=62.129; avg=62.536; max=62.949)Mibits/s
rngtest: Program run time: 1211852 microseconds
rngtest: bits received from input: 120032
rngtest: FIPS 140-2 successes: 6
rngtest: FIPS 140-2 failures: 0
rngtest: FIPS 140-2(2001-10-10) Monobit: 0
rngtest: FIPS 140-2(2001-10-10) Poker: 0
rngtest: FIPS 140-2(2001-10-10) Runs: 0
rngtest: FIPS 140-2(2001-10-10) Long run: 0
rngtest: FIPS 140-2(2001-10-10) Continuous run: 0
rngtest: input channel speed: (min=44.307; avg=46.440; max=51.079)Kibits/s
rngtest: FIPS tests speed: (min=59.980; avg=61.627; max=62.949)Mibits/s
rngtest: Program run time: 2525610 microseconds

Comment 6 Chris Wright 2006-11-21 19:50:21 EST
Created attachment 141857 [details]
intel-rng debug patch

Would you be willing to try this small diagnostic debug patch?
Comment 7 Vassilios Kotoulas 2006-11-23 16:47:01 EST
this is the result:

intel_rng: no version for "struct_module" found: kernel tainted.
intel_rng: pci vendor:device 8086:24c0 fwh_dec_en1 80 bios_cntl_val 2 mfc cb dvc 88
intel_rng: FWH not detected
Comment 8 Chris Wright 2006-12-08 21:08:58 EST
Created attachment 143202 [details]
intel rng bypass fwh detection

Could you test this patch and insert the intel-rng module with no_fwh_detect=1
It should continue even when it finds BIOS locked
Comment 9 Vassilios Kotoulas 2007-01-06 19:12:23 EST
hi,

sorry for the delay. it works

dmesg says:
intel_rng: no version for "struct_module" found: kernel tainted.
Intel 82802 RNG detected

and rngd is starting and producing random numbers

regards
Vassilios
Comment 10 Bug Zapper 2008-04-04 00:35:59 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 12:46:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.